IF EXISTS(SELECT 1 FROM SYS.COLUMNS WHERE NAME = N'SUBGOALID'
          AND OBJECT_ID = OBJECT_ID(N'LD0P0MOUFollowUp'))
BEGIN
ALTER TABLE LD0P0MOUFollowUp DROP COLUMN SUBGOALID
END
GO

IF EXISTS (SELECT 1 FROM SYS.VIEWS WHERE NAME='LD0V0MOUFollowUp')
BEGIN
DROP VIEW LD0V0MOUFollowUp
END
GO

CREATE OR ALTER VIEW LD0V0MOUFollowUp AS SELECT * FROM LD0P0MOUFollowUp
GO
GRANT ALL ON LD0V0MOUFollowUp TO LD0ROANV
GO